Bug 491128 - Review Request: photoprint - Utility for printing digital photographs
Review Request: photoprint - Utility for printing digital photographs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492266
  Show dependency treegraph
 
Reported: 2009-03-19 10:56 EDT by Zarko (grof)
Modified: 2011-06-23 23:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.4.0-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 07:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch to compile with g++44 (1.14 KB, patch)
2009-04-14 14:33 EDT, Mamoru TASAKA
no flags Details | Diff
Where to set fedora-cvs flag (93.24 KB, image/png)
2009-04-20 11:29 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Zarko (grof) 2009-03-19 10:56:29 EDT
Spec URL: http://wiki.open.hr/zpintar/fedora10/SPECS/photoprint.spec
SRPM URL: http://wiki.open.hr/zpintar/fedora10/SRPMS/photoprint-0.4.0-1.fc10.src.rpm

Description: 
PhotoPrint is a utility designed to assist in the process 
of printing digital photographs.
PhotoPrint can do the following:

* Print photographs 1-up, 2-up, 4-up or with any user-selectable
  number of rows and columns.
* Create posters, split over several pages.
* Arrange images into a sort of Carousel, fading from one to 
  another.  (Ideal for CD labels)
* Crop images to fit a specific frame.
* Apply a decorative border to an image.
* Make use of ICC colour profiles to provide accurate output.
* Send 16-bit data to the printer, to avoid "contouring" problems 
  in smooth gradients.
* Apply a handful of effecs to an image, including sharpening, 
  removing colour and adjusting colour temperature 
  (ideal for cooling or warming black-and-white prints).


I checked packet with Mock (32-bit & 64-bit). 
Rpmlint checks are clean.

This is my first package and I need sponsor.


kind regards,
Zarko
Comment 1 leigh scott 2009-03-19 18:52:33 EDT
You need to validate the desktop file.

https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
Comment 2 Zarko (grof) 2009-03-20 06:13:38 EDT
Spec URL: http://wiki.open.hr/zpintar/fedora10/SPECS/photoprint.spec
SRPM URL:
http://wiki.open.hr/zpintar/fedora10/SRPMS/photoprint-0.4.0-2.fc10.src.rpm


Solved.

I added man page too.

Please, take a look.
Comment 3 Zarko (grof) 2009-03-23 07:03:26 EDT
Please, one question.

How long are usually waiting for sponsor?

Thx
Zarko
Comment 4 leigh scott 2009-03-23 07:56:12 EDT
(In reply to comment #3)
> Please, one question.
> 
> How long are usually waiting for sponsor?
> 
> Thx
> Zarko  

There is no set time. (I am not allowed to sponsor)

I have just checked the new spec + srpm and noticed the application installs icons into %{_datadir}/icons/hicolor , this means the icon caches must be updated so that the installed icons show up in menus right after package installation.
I also checked the desktop file and it contains mime info.

http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database


You will need to add this after the %clean section

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-mime-database %{_datadir}/mime &> /dev/null || :
Comment 5 Zarko (grof) 2009-03-23 09:00:02 EDT
OK, I fixed this, too. :)

Here are the files:
Spec URL: http://wiki.open.hr/~zpintar/fedora10/SPECS/photoprint.spec
SRPM URL:
http://wiki.open.hr/~zpintar/fedora10/SRPMS/photoprint-0.4.0-3.fc10.src.rpm

BTW, many thanks to helping me at my first package. You are very kind.
Your SPEC's suggestions (tips) are very useful to me. 

regards,
Zarko
Comment 6 Zarko (grof) 2009-03-24 10:52:31 EDT
	
I can not open a new project until I get a sponsor for the first one, isn't it?

Zarko
Comment 7 leigh scott 2009-03-24 14:42:31 EDT
(In reply to comment #6)
> I can not open a new project until I get a sponsor for the first one, isn't it?
> 
> Zarko  

You can have more than review, I started with 5 requests.

P.S  photoprint-0.4.0-3.fc10.src.rpm builds OK at Koji on all targets.
Comment 8 Zarko (grof) 2009-03-24 14:51:59 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > I can not open a new project until I get a sponsor for the first one, isn't it?
> > 
> > Zarko  
> 
> You can have more than review, I started with 5 requests.
> 

OK, than I'll build something else :)

> P.S  photoprint-0.4.0-3.fc10.src.rpm builds OK at Koji on all targets.  

Good to know that.
Thanks for help.

bye
Zarko
Comment 9 Zarko (grof) 2009-03-26 05:40:02 EDT
New revison is here

Here are the files:
Spec URL: http://wiki.open.hr/~zpintar/fedora10/SPECS/photoprint.spec
SRPM URL:
http://wiki.open.hr/~zpintar/fedora10/SRPMS/photoprint-0.4.0-4.fc10.src.rpm

Added dependency of photoprint-borders and Patch for resolving problems with showing borders and backgrounds paths in "Paths..." dialogbox.

Zarko
Comment 10 leigh scott 2009-03-26 13:35:22 EDT
The package doesn't need  Requires: photoprint-borders so please remove it, photoprint works without it.
Just a thought you could add the borders to the photoprint package i.e combine them .
Comment 11 Zarko (grof) 2009-03-26 17:14:53 EDT
OK, I removed this, but I did not change revision number...

Here are the files:
Spec URL: http://wiki.open.hr/~zpintar/fedora10/SPECS/photoprint.spec
SRPM URL:
http://wiki.open.hr/~zpintar/fedora10/SRPMS/photoprint-0.4.0-4.fc10.src.rpm

I'll suggest author of the source that he import these borders to main source file, because they do not have sense without PhotoPrint itself.
Comment 12 Zarko (grof) 2009-03-28 09:51:25 EDT
Spec URL: http://wiki.open.hr/~zpintar/fedora10/SPECS/photoprint.spec
SRPM URL:
http://wiki.open.hr/~zpintar/fedora10/SRPMS/photoprint-0.4.0-5.fc10.src.rpm

Resolved issue in .paths patch by the author of source file.

zarko
Comment 13 Zarko (grof) 2009-04-02 02:22:22 EDT
Still waiting, or I miss something :(

This is very very slow process...

Zarko
Comment 14 Zarko (grof) 2009-04-08 02:07:28 EDT
bump!
Comment 15 Mamoru TASAKA 2009-04-14 14:33:15 EDT
Created attachment 339539 [details]
Patch to compile with g++44

Some notes:

* Summary
  - Fedora now considers that duplicating package name in
    Summary is just redundant.

* License
  - tag should just be "GPLv2+" for this package. All files
    licensed under different licenses than GPLv2+ are
    used individably with files under GPLv2+ and GPLv2+
    transcends all other licenses in this case.

* BuildRequires
  - "BuildRequires: gtk+-devel" is not needed
     This is GTK+ version 2 package, while "gtk+-devel" on Fedora
     is for GTK+ version 1 package.
     And "gtk2-devel" is required by gutenprint-devel so
     "BuildRequires: gtk2-devel" is not needed, either.

* Build Failure
  - Your srpm won't build on dist-f11 (using g++ 4.4).
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1298108
    The attached patch is needed.

* Timestamps
  - Use "-p" option when installing files using "cp" or "install"
    commands to keep timestamps on installed files:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

* Scriptlets
  - Scriptlets for GTK icon cache update is updated:
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
Comment 16 Zarko (grof) 2009-04-15 09:43:40 EDT
(In reply to comment #15)

> * Summary
> * License
> * BuildRequires
> * Build Failure
> * Timestamps
> * Scriptlets

All done and tested with mock!

Spec:
http://wiki.open.hr/~zpintar/fedora-11/SPECS/photoprint.spec

Source:
http://wiki.open.hr/~zpintar/fedora-11/SRPMS/photoprint-0.4.0-6.fc11.src.rpm
Comment 17 Mamoru TASAKA 2009-04-15 14:09:51 EDT
Well,
* For this package
- Actually the needed scriptlets are for "update-desktop-database",
  not for "update-mime-database":
  https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

* Usually a person who needs sponsorship is required to
  - either submit another review request
  - or do a pre-review of other person's request
  as written in
  http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
  I checked your other review requests very quickly and they looks
  good to some extent.

-----------------------------------------------------------------
  This package (photoprint) is APPROVED by mtasaka
-----------------------------------------------------------------


Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 9/10/11, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 18 Zarko (grof) 2009-04-20 04:34:06 EDT
OK. I tested photoprint with Koji (only with --scratch option) for F9 F10 & F11, all four primary architecures, and all is clean.

Now, I'm a little confused... How I understand the process, I must first request for a CVS module, isn't it? And I do this with:

New Package CVS Request
=======================
Package Name: photoprint
Short Description: Utility for printing digital photographs
Owners: grof
Branches: F9 F10 F11
InitialCC: grof

after that I can build packages with Koji, but without --scratch option, and than going to Bodhi?


In manual for CVS Admin request, stands this:
Changing the fedora-cvs flag to "?" in a Bugzilla report means CVS admin attention is needed.

But I can not find this flag on Bugzilla report??
Comment 19 Mamoru TASAKA 2009-04-20 11:29:52 EDT
Created attachment 340367 [details]
Where to set fedora-cvs flag

(In reply to comment #18)
> I must first
> request for a CVS module, isn't it? And I do this with:
> 
> New Package CVS Request
> =======================
> Package Name: photoprint
> Short Description: Utility for printing digital photographs
> Owners: grof
> Branches: F9 F10 F11
> InitialCC: grof
> 
> after that I can build packages with Koji, but without --scratch option, and
> than going to Bodhi?

Yes.

> In manual for CVS Admin request, stands this:
> Changing the fedora-cvs flag to "?" in a Bugzilla report means CVS admin
> attention is needed.
> 
> But I can not find this flag on Bugzilla report??  

See the attached.
Comment 20 Zarko (grof) 2009-04-20 13:49:29 EDT
OK, then

New Package CVS Request
=======================
Package Name: photoprint
Short Description: Utility for printing digital photographs
Owners: grof
Branches: F9 F10 F11
InitialCC: grof
Comment 21 Kevin Fenzi 2009-04-21 15:46:19 EDT
cvs done.
Comment 22 Fedora Update System 2009-04-22 04:37:18 EDT
photoprint-0.4.0-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/photoprint-0.4.0-6.fc10
Comment 23 Fedora Update System 2009-04-22 04:40:35 EDT
photoprint-0.4.0-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/photoprint-0.4.0-6.fc11
Comment 24 Fedora Update System 2009-04-22 04:40:40 EDT
photoprint-0.4.0-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/photoprint-0.4.0-6.fc9
Comment 25 Zarko (grof) 2009-04-22 05:45:17 EDT
Question:

Once, when update of package will come up from upstream (example: photoprint 0.4.1 or 0.5.0...) what happened?

- I must open a new bug for this new release, 
- or I make update by myself, put it onto Koji and Bodhi as new release and that  is it?
Comment 26 Mamoru TASAKA 2009-04-22 07:41:04 EDT
(In reply to comment #25)
> Question:
> 
> Once, when update of package will come up from upstream (example: photoprint
> 0.4.1 or 0.5.0...) what happened?
> 
> - I must open a new bug for this new release, 
> - or I make update by myself, put it onto Koji and Bodhi as new release and
> that  is it?  

You can just update the package by yourself, submit builds
to koji, then submit new update requests on bodhi if needed.
No new review request is needed.

Closing this one.
Comment 27 Fedora Update System 2009-04-24 15:48:55 EDT
photoprint-0.4.0-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2009-04-24 15:52:16 EDT
photoprint-0.4.0-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2009-05-09 00:13:33 EDT
photoprint-0.4.0-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Matt Domsch 2011-06-23 23:45:35 EDT
photoprint-0.4.2-0.2.pre2.fc14 and higher dist tags now obsolete photoprint-borders as that content was merged upstream into the photoprint tarball at version 0.4.1.

Note You need to log in before you can comment on or make changes to this bug.